package net.sf.jasperreports.crosstabs.design;

import net.sf.jasperreports.crosstabs.JRCrosstabDataset;
import net.sf.jasperreports.engine.JRExpressionCollector;
import net.sf.jasperreports.engine.design.JRDesignElementDataset;

public class JRDesignCrosstabDataset extends JRDesignElementDataset implements JRCrosstabDataset {
  private static final long serialVersionUID = 10200L;
  
  public static final String PROPERTY_DATA_PRE_SORTED = "dataPreSorted";
  
  protected boolean dataPreSorted = false;
  
  public void collectExpressions(JRExpressionCollector collector) {}
  
  public boolean isDataPreSorted() {
    return this.dataPreSorted;
  }
  
  public void setDataPreSorted(boolean dataPreSorted) {
    boolean old = this.dataPreSorted;
    this.dataPreSorted = dataPreSorted;
    getEventSupport().firePropertyChange("dataPreSorted", old, this.dataPreSorted);
  }
}
